Bug 274902 - Crash of grep frontend at the "search" button pressing
Summary: Crash of grep frontend at the "search" button pressing
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Developer tools
Component: grepview (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: 1.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 12:12 UTC by leon pollak
Modified: 2013-03-31 01:16 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leon pollak 2011-06-04 12:12:15 UTC
Version:           4.2.60 (using KDE 4.5.5) 
OS:                Linux

I have permanent kdevelop crash with all versions including the latest trunk at the moment when I invoke the 'Find/Replace in Files' dialogue.


I run the kdevelop in the ddd session and can see that function 
void GrepOutputView::replacementTextChanged(QString)
from the file plugins/grepview/grepoutputview.cpp is called and crashes. Below is the gdb output:
Program received signal SIGSEGV, Segmentation fault.
GrepOutputView::replacementTextChanged (this=0x550ba00) at /home/leonp/kdev-trunk/kdevplatform/plugins/grepview/grepoutputview.cpp:127
(gdb) p model()
$1 = (GrepOutputModel *) 0x0
(gdb) up
#1  0x00007fffec4adbd4 in GrepOutputView::qt_metacall (this=0x550ba00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffffff9fa0) at /home/leonp/kdev-trunk/kdevplatform/build/plugins/grepview/moc_grepoutputview.cpp:112
(gdb) p *_a
$5 = (void *) 0x0
(gdb) up
#2  0x0000003578d66716 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4


I am willing to debug this case, but I do not know the sources at all.
I just need the instructions where to look further.


Please, help!!!

> this is not the full backtrace, that would be created by "thread apply all
> bt"
(gdb) thread apply all bt

Thread 12 (Thread 0x7fffcb5fe700 (LWP 32103)):
#0  0x0000003bce60b3cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003578c720db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003c62e0a096 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003c62e0c56b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003c62e0c584 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003c62e0c584 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003c62e0c584 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x0000003c62e0c584 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x0000003c62e0c584 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x0000003c62e0c584 in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x0000003c62e0c584 in ?? () from /usr/lib64/libthreadweaver.so.4
#11 0x0000003c62e0c584 in ?? () from /usr/lib64/libthreadweaver.so.4
#12 0x0000003c62e0af4f in ?? () from /usr/lib64/libthreadweaver.so.4
#13 0x0000003c62e0b428 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#14 0x0000003578c71155 in ?? () from /usr/lib64/libQtCore.so.4
#15 0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#16 0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fffcbfff700 (LWP 32102)):
#0  0x0000003bce60b3cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003578c720db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003c62e0a096 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003c62e0c56b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003c62e0af4f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003c62e0b428 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003578c71155 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fffd599f700 (LWP 31981)):
#0  0x0000003bce60b74b in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003578c72042 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003578c68261 in ?? () from /usr/lib64/libQtCore.so.4
#3  0x0000003578c71155 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fffd63a0700 (LWP 31980)):
#0  0x0000003bce60b3cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003578c720db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003c62e0a096 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003c62e0c56b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003c62e0af4f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003c62e0b428 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003578c71155 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fffd7bc6700 (LWP 31973)):
#0  0x0000003bce60b3cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003c67c00666 in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x0000003c67c006a9 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#4  0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fffdd201700 (LWP 31957)):
#0  0x0000003bcded7323 in poll () from /lib64/libc.so.6
#1  0x0000003bcf63f849 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003bcf63fc9c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003578d79503 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x0000003578d52522 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x0000003578d527ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x0000003578c6f00b in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x0000003578c71155 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#9  0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fffdffff700 (LWP 31956)):
#0  0x0000003bcded7323 in poll () from /lib64/libc.so.6
#1  0x0000003bcf63f849 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003bcf63fc9c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003578d79503 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x0000003578d52522 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x0000003578d527ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x0000003578c6f00b in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x0000003578c71155 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#9  0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fffe51ac700 (LWP 31950)):
#0  0x0000003bcded9583 in select () from /lib64/libc.so.6
#1  0x0000003578d32ead in ?? () from /usr/lib64/libQtCore.so.4
#2  0x0000003578c71155 in ?? () from /usr/lib64/libQtCore.so.4
#3  0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#4  0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7ffff0445700 (LWP 31947)):
#0  0x0000003bce60b74b in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003578c72042 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007ffff69e685b in KDevelop::DUChainPrivate::CleanupThread::run (this=0x1c29cd0) at /home/leonp/kdev-trunk/kdevplatform/language/duchain/duchain.cpp:286
#3  0x0000003578c71155 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x0000003bce607761 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003bcdee098d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ffff670e820 (LWP 31944)):
#0  GrepOutputView::replacementTextChanged (this=0x580df40) at /home/leonp/kdev-trunk/kdevplatform/plugins/grepview/grepoutputview.cpp:127
#1  0x00007fffec1b7bd4 in GrepOutputView::qt_metacall (this=0x580df40, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffffff9fa0) at /home/leonp/kdev-trunk/kdevplatform/build/plugins/grepview/moc_grepoutputview.cpp:112
#2  0x0000003578d66716 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#3  0x0000003c5ff44792 in QComboBox::editTextChanged(QString const&) () from /usr/lib64/libQtGui.so.4
#4  0x0000003c5ff4d821 in QComboBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtGui.so.4
#5  0x0000003c5dac2fc5 in KComboBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkdeui.so.5
#6  0x0000003578d66716 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#7  0x0000003c5ff7e0b2 in QLineEdit::textChanged(QString const&) () from /usr/lib64/libQtGui.so.4
#8  0x0000003c5ff8121c in QLineEdit::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtGui.so.4
#9  0x0000003c5dae14d5 in KLineEdit::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkdeui.so.5
#10 0x0000003578d66716 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#11 0x0000003c601e4705 in QLineControl::textChanged(QString const&) () from /usr/lib64/libQtGui.so.4
#12 0x0000003c5ff87246 in QLineControl::finishChange(int, bool, bool) () from /usr/lib64/libQtGui.so.4
#13 0x00007fffec1c95a1 in GrepOutputView::renewModel (this=0x580df40, name=..., descriptionOrUrl=...) at /home/leonp/kdev-trunk/kdevplatform/plugins/grepview/grepoutputview.cpp:146
#14 0x00007fffec1bc65f in GrepDialog::performAction (this=0x563cb70, button=<value optimized out>) at /home/leonp/kdev-trunk/kdevplatform/plugins/grepview/grepdialog.cpp:437
#15 0x00007fffec1bcd1e in GrepDialog::qt_metacall (this=0x563cb70, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffffffa8b0) at /home/leonp/kdev-trunk/kdevplatform/build/plugins/grepview/grepdialog.moc:87
#16 0x0000003578d66716 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#17 0x0000003c5d9896e1 in KDialog::buttonClicked(KDialog::ButtonCode) () from /usr/lib64/libkdeui.so.5
#18 0x0000003c5d98b5e2 in KDialog::slotButtonClicked(int) () from /usr/lib64/libkdeui.so.5
#19 0x0000003c5d98d4f2 in KDialog::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkdeui.so.5
#20 0x00007fffec1bcc55 in GrepDialog::qt_metacall (this=0x563cb70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffffffaa80) at /home/leonp/kdev-trunk/kdevplatform/build/plugins/grepview/grepdialog.moc:82
#21 0x0000003578d66716 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#22 0x0000003578d69dee in QSignalMapper::mapped(int) () from /usr/lib64/libQtCore.so.4
#23 0x0000003578d69e90 in QSignalMapper::map(QObject*) () from /usr/lib64/libQtCore.so.4
#24 0x0000003578d6b110 in QSignalMapper::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtCore.so.4
#25 0x0000003578d66716 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#26 0x0000003c601e1902 in QAbstractButton::clicked(bool) () from /usr/lib64/libQtGui.so.4
#27 0x0000003c5ff2ffbb in ?? () from /usr/lib64/libQtGui.so.4
#28 0x0000003c5ff3133b in ?? () from /usr/lib64/libQtGui.so.4
#29 0x0000003c5ff315ac in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#30 0x0000003c5fbf643a in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#31 0x0000003c5fbab39c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#32 0x0000003c5fbb1e2d in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#33 0x0000003c5da1d186 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#34 0x0000003578d53adc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#35 0x0000003c5fbb101e in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#36 0x0000003c5fc230d5 in ?? () from /usr/lib64/libQtGui.so.4
#37 0x0000003c5fc21ae0 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#38 0x0000003c5fc4a9f6 in ?? () from /usr/lib64/libQtGui.so.4
#39 0x0000003bcf63bd02 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#40 0x0000003bcf63fae8 in ?? () from /lib64/libglib-2.0.so.0
#41 0x0000003bcf63fc9c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#42 0x0000003578d79503 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#43 0x0000003c5fc4a73e in ?? () from /usr/lib64/libQtGui.so.4
#44 0x0000003578d52522 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#45 0x0000003578d527ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#46 0x0000003578d55ebb in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#47 0x000000000040b18c in main (argc=1, argv=0x7fff00000000) at /home/leonp/kdev-trunk/kdevelop/app/main.cpp:474
(gdb) 

Reproducible: Always

Steps to Reproduce:
Just call the dialog.
Comment 1 Milian Wolff 2011-06-04 12:25:22 UTC
Git commit 2af5fc69e0ab44839648a91bf515e0d9da6831db by Milian Wolff.
Committed on 04/06/2011 at 12:23.
Pushed by mwolff into branch 'master'.

fix crash when renewModel gets called without any model

BUG: 274902

M  +5    -1    plugins/grepview/grepoutputview.cpp     

http://commits.kde.org/kdevplatform/2af5fc69e0ab44839648a91bf515e0d9da6831db